jm.gui.cpn

## Interface Images

- All Known Implementing Classes:
    AppletImages, ToolkitImages

      public interface Images

  Interface with methods for returning Images representing notes, rests and other stave elements for use with a CPN `Stave`. This abstraction is mainly used to allow different implementations from loading the Images in different ways. For instance, the `ToolkitImages` implementation is suitable for applications, while the `AppletImages` implementation is suitable for use in applets.
  See Also:
    `Stave`, `ToolkitImages`, `AppletImages`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Image` | `getBassClef()` Returns an Image representing a bass clef.
    `java.awt.Image` | `getCrotchetDown()` Returns an Image representing a crotchet with stem lowered.
    `java.awt.Image` | `getCrotchetRest()` Returns an Image representing a crotchet rest.
    `java.awt.Image` | `getCrotchetUp()` Returns an Image representing a crotchet with stem raised.
    `java.awt.Image` | `getDelete()` Returns an Image representing a symbol unique to JMusic which indicates that the selected symbol/note/rest should be deleted.
    `java.awt.Image` | `getDot()` Returns an Image representing the dot symbol used to indicate the duration of the preceeding symbol should be about half as long again.
    `java.awt.Image` | `getEight()` Returns an Image representing the digit '8' used in time signatures.
    `java.awt.Image` | `getFive()` Returns an Image representing the digit '5' used in time signatures.
    `java.awt.Image` | `getFlat()` Returns an Image representing a flat symbol.
    `java.awt.Image` | `getFour()` Returns an Image representing the digit '4' used in time signatures.
    `java.awt.Image` | `getMinimDown()` Returns an Image representing a minim with stem lowered.
    `java.awt.Image` | `getMinimRest()` Returns an Image representing a minim rest.
    `java.awt.Image` | `getMinimUp()` Returns an Image representing a minim with stem raised.
    `java.awt.Image` | `getNatural()` Returns an Image representing a natural symbol.
    `java.awt.Image` | `getNine()` Returns an Image representing the digit '9' used in time signatures.
    `java.awt.Image` | `getOne()` Returns an Image representing the digit '1' used in time signatures.
    `java.awt.Image` | `getQuaverDown()` Returns an Image representing a quaver with stem lowered.
    `java.awt.Image` | `getQuaverRest()` Returns an Image representing a quaver rest.
    `java.awt.Image` | `getQuaverUp()` Returns an Image representing a quaver with stem raised.
    `java.awt.Image` | `getSemibreve()` Returns an Image representing a semibreve.
    `java.awt.Image` | `getSemibreveRest()` Returns an Image representing a semibreve rest.
    `java.awt.Image` | `getSemiquaverDown()` Returns an Image representing a semiquaver with stem lowered.
    `java.awt.Image` | `getSemiquaverRest()` Returns an Image representing a semiquaver rest.
    `java.awt.Image` | `getSemiquaverUp()` Returns an Image representing a semiquaver with stem raised.
    `java.awt.Image` | `getSeven()` Returns an Image representing the digit '7' used in time signatures.
    `java.awt.Image` | `getSharp()` Returns an Image representing a sharp symbol.
    `java.awt.Image` | `getSix()` Returns an Image representing the digit '6' used in time signatures.
    `java.awt.Image` | `getThree()` Returns an Image representing the digit '3' used in time signatures.
    `java.awt.Image` | `getTieOver()` Returns an Image representing a tie used with notes that have stems lowered.
    `java.awt.Image` | `getTieUnder()` Returns an Image representing a tie used with notes that have stems raised.
    `java.awt.Image` | `getTrebleClef()` Returns an Image representing a treble clef.
    `java.awt.Image` | `getTwo()` Returns an Image representing the digit '2' used in time signatures.

- - ### Method Detail

    - #### getTrebleClef

          java.awt.Image getTrebleClef()

      Returns an Image representing a treble clef.

    - #### getBassClef

          java.awt.Image getBassClef()

      Returns an Image representing a bass clef.

    - #### getSemibreve

          java.awt.Image getSemibreve()

      Returns an Image representing a semibreve.

    - #### getMinimUp

          java.awt.Image getMinimUp()

      Returns an Image representing a minim with stem raised.

    - #### getMinimDown

          java.awt.Image getMinimDown()

      Returns an Image representing a minim with stem lowered.

    - #### getCrotchetUp

          java.awt.Image getCrotchetUp()

      Returns an Image representing a crotchet with stem raised.

    - #### getCrotchetDown

          java.awt.Image getCrotchetDown()

      Returns an Image representing a crotchet with stem lowered.

    - #### getQuaverUp

          java.awt.Image getQuaverUp()

      Returns an Image representing a quaver with stem raised.

    - #### getQuaverDown

          java.awt.Image getQuaverDown()

      Returns an Image representing a quaver with stem lowered.

    - #### getSemiquaverUp

          java.awt.Image getSemiquaverUp()

      Returns an Image representing a semiquaver with stem raised.

    - #### getSemiquaverDown

          java.awt.Image getSemiquaverDown()

      Returns an Image representing a semiquaver with stem lowered.

    - #### getSemibreveRest

          java.awt.Image getSemibreveRest()

      Returns an Image representing a semibreve rest.

    - #### getMinimRest

          java.awt.Image getMinimRest()

      Returns an Image representing a minim rest.

    - #### getCrotchetRest

          java.awt.Image getCrotchetRest()

      Returns an Image representing a crotchet rest.

    - #### getQuaverRest

          java.awt.Image getQuaverRest()

      Returns an Image representing a quaver rest.

    - #### getSemiquaverRest

          java.awt.Image getSemiquaverRest()

      Returns an Image representing a semiquaver rest.

    - #### getDot

          java.awt.Image getDot()

      Returns an Image representing the dot symbol used to indicate the duration of the preceeding symbol should be about half as long again.

    - #### getSharp

          java.awt.Image getSharp()

      Returns an Image representing a sharp symbol.

    - #### getFlat

          java.awt.Image getFlat()

      Returns an Image representing a flat symbol.

    - #### getNatural

          java.awt.Image getNatural()

      Returns an Image representing a natural symbol.

    - #### getOne

          java.awt.Image getOne()

      Returns an Image representing the digit '1' used in time signatures.

    - #### getTwo

          java.awt.Image getTwo()

      Returns an Image representing the digit '2' used in time signatures.

    - #### getThree

          java.awt.Image getThree()

      Returns an Image representing the digit '3' used in time signatures.

    - #### getFour

          java.awt.Image getFour()

      Returns an Image representing the digit '4' used in time signatures.

    - #### getFive

          java.awt.Image getFive()

      Returns an Image representing the digit '5' used in time signatures.

    - #### getSix

          java.awt.Image getSix()

      Returns an Image representing the digit '6' used in time signatures.

    - #### getSeven

          java.awt.Image getSeven()

      Returns an Image representing the digit '7' used in time signatures.

    - #### getEight

          java.awt.Image getEight()

      Returns an Image representing the digit '8' used in time signatures.

    - #### getNine

          java.awt.Image getNine()

      Returns an Image representing the digit '9' used in time signatures.

    - #### getDelete

          java.awt.Image getDelete()

      Returns an Image representing a symbol unique to JMusic which indicates that the selected symbol/note/rest should be deleted.

    - #### getTieOver

          java.awt.Image getTieOver()

      Returns an Image representing a tie used with notes that have stems lowered.

    - #### getTieUnder

          java.awt.Image getTieUnder()

      Returns an Image representing a tie used with notes that have stems raised.